/*
 * This is a simple program to check a type of a triangle from the length of
 * specified edges. The edges are given as three numerical parameters to the
 * program on the command line. Program checks for the proper number of
 * parameters, then it checks for triangle inequality, and outputs most precise
 * characteristics of the triangle under inspection (equiliteral, isosceles,
 * scalene).
 */

#include <iostream>
#include <string>

using namespace std;

int main(int argc, char** argv)
{

    if (argc!=4)
    {
        cout <<"Need exactly three numerical arguments."<<endl;
        return 0;
    }
   
    
    double A,B,C;
    A=stod( argv[1] );
    B=stod( argv[2] );
    C=stod( argv[3] );

    

    cout <<"Parameter entered (A,B,C) = ("<<A<<", "<<B<<", "<<C<<")."<<endl;
    cout <<"These edges ";
    
    
    if ( (A+B <= C) || (A+C <= B) )
    {
        cout <<"do not form a triangle.";
    }
    else
    {
        cout <<"form ";
    }

  

    if ( A==B || A==C || B==C )
    {
        if (A==B && B==C)     // equilateral
        {
            cout <<"a equilateral triangle.";
        }
        else      // isosceles 
        {
            cout <<"an isosceles triangle.";
        }
    }
    else  // scalene
    {
        cout <<"a scalene triangle.";
    }

    cout <<endl;
    return 0;    
}

